@import "/node_modules/@ng-select/ng-select/scss/mixins";

.ng-select {
  &.ng-select-focused {
    .ng-select-container {
      &::after {
        border-color: var(--primary);
      }
      .ng-value-container {
        .ng-placeholder {
          color: var(--primary);
        }
      }
    }
  }

  &.ng-select-single {
    .ng-select-container {
      .ng-value-container {
        .ng-value {
          background-color: unset;
          border-radius: unset;
          color: unset;
          padding: unset;

          .ng-value-content {
            border-radius: 2px;
            padding: 2px 5px;
            background: var(--ng-select-default-color);
            color: var(--ng-select-default-color-text);
          }
        }
      }
    }
  }

  &.ng-select-multiple {
    .ng-select-container {
      .ng-value-container {
        .ng-value {
          background-color: unset;
          border-radius: unset;
          color: unset;
          padding: unset;

          .ng-value-content {
            border-radius: 2px;
            padding: 2px 5px;
            background: var(--ng-select-default-color);
            color: var(--ng-select-default-color-text);

            &.brand {
              background: var(--ng-select-criterium-brand);
              color: var(--ng-select-criterium-brand-text);
              border: none;
            }
            &.color {
              background: var(--ng-select-criterium-color);
              color: var(--ng-select-criterium-color-text);
              border: none;
            }
            &.feature {
              background: var(--ng-select-criterium-feature);
              color: var(--ng-select-criterium-feature-text);
              border: none;
            }
            &.category {
              background: var(--ng-select-criterium-category);
              color: var(--ng-select-criterium-category-text);
              border: none;
            }
            &.keyword {
              background: var(--ng-select-criterium-keywords);
              color: var(--ng-select-criterium-keywords-text);
              border: none;
            }
            &.own {
              background: var(--ng-select-criterium-keywords);
              color: var(--ng-select-criterium-keywords-text);
              border: none;
            }
          }
        }
      }
    }
  }
}

.ng-dropdown-panel {
  .ng-dropdown-panel-items {
    .ng-option {
      &.ng-option-selected {
        color: var(--primary);
      }

      .criterium-type {
        line-height: 0.85em;
        font-size: 0.85em;
        display: block;
        margin-bottom: 8px;
        opacity: 0.7;
      }

      .lvl-1 {
        padding-left: 16px;
      }
      .lvl-2 {
        padding-left: 32px;
      }
    }
  }
}

.color-display {
  display: inline-block;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  border: 1px solid black;
}
